import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-language-settings',
  templateUrl: './language-settings.page.html',
  styleUrls: ['./language-settings.page.scss'],
})
export class LanguageSettingsPage implements OnInit {

  selectedLanguage: string;
  constructor() {
    this.selectedLanguage = localStorage.getItem('selectedLanguage') || 'English'; // 默认为英语
  }

  changeLanguage() {
    localStorage.setItem('selectedLanguage', this.selectedLanguage);
    // 在这里可以设置应用的语言
  }

  ngOnInit() {
  }

}
